## NAME

r3.in.ascii - Imports files in 3D ASCII format into G3D.
(GRASS 3D Program)

## SYNOPSIS

r3.in.ascii [type = default | double | float] [precision = default | max | 0 - 52] [compression = default | rle | none] [tiledimension = XxYxZ] [nv = none | double] input = ascii-file output = g3d-map

## DESCRIPTION

### Parameters:

type
  Data type used in the output file
  Options: default, double, float
precision
  Precision used in the output file
  Options: default, max, 0-52
compression
  Note that the none option only specifies that neither LZW nor RLE is used for compression. It does not turn off the compression all together. G3D does not support non-compressed files.
  Options: default, rle, none
tiledimension
  The dimension of the tiles used in the output file. The format is: XxYxZ
nv
  Specifies which value to convert to NULL-value. If the specified value is none, no conversion is performed. Default is none.
input
  Path and name of ASCII file to be imported
output
  Name of the G3D output map

## NOTES

The format for the ASCII file:

    north: floating point
    south: floating point
    east: floating point
    west: floating point
    top: floating point
    bottom: floating point
    rows: integer
    cols: integer
    levels: integer

This header is followed by the cell values in floating point format organized in rows with constant col and level coordinate. The rows are organized by constant level coordinate. Individual cell values are separated by space or CR.

NOTE: Currently, after the file has been imported, the stored values are compared with the original data. This feature is used to find bugs in the library at an early stage and will be turned off as soon as confidence has built up.

## AUTHORS

Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos Mitas, Jaro Hofierka

## SEE ALSO

r3.out.ascii, s.to.rast3, GRASS ASCII formats

Last changed: $Date: 2002/01/25 05:45:35 $